use equinox;

DROP TABLE IF EXISTS acl_object_identity;
CREATE TABLE acl_object_identity (
  id int(11) NOT NULL auto_increment,
  object_identity varchar(255) NOT NULL,
  parent_object int(11) default NULL,
  acl_class varchar(255) NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY object_identity (object_identity)
) TYPE=InnoDB;

DROP TABLE IF EXISTS acl_permission;
CREATE TABLE acl_permission (
  id int(11) NOT NULL auto_increment,
  acl_object_identity int(11) NOT NULL,
  recipient varchar(100) NOT NULL,
  mask int(11) NOT NULL,
  PRIMARY KEY  (id),
  UNIQUE KEY recipient (recipient)
) TYPE=InnoDB;

INSERT INTO acl_object_identity VALUES (1, 'org.appfuse.model.User:5', null, 'net.sf.acegisecurity.acl.basic.SimpleAclEntry');
INSERT INTO acl_object_identity VALUES (2, 'org.appfuse.model.User:6', null, 'net.sf.acegisecurity.acl.basic.SimpleAclEntry');

INSERT INTO acl_permission VALUES (null, 1, 'superuser', 1);
INSERT INTO acl_permission VALUES (null, 1, 'readwrite', 6);
INSERT INTO acl_permission VALUES (null, 1, 'nocando', 0);

--- Mask integer 0  = no permissions
--- Mask integer 1  = administer
--- Mask integer 2  = read
--- Mask integer 6  = read and write permissions
--- Mask integer 14 = read and write and create permissions
