<%@ include file="/taglibs.jsp"%>

<title><fmt:message key="userForm.title"/></title>

<spring:bind path="user.*">
    <c:if test="${not empty status.errorMessages}">
    <div class="error">	
        <c:forEach var="error" items="${status.errorMessages}">
            <c:out value="${error}" escapeXml="false"/><br />
        </c:forEach>
    </div>
    </c:if>
</spring:bind>

<p>Please fill in user's information below:</p>
  
<form method="post" action="<c:url value="/editUser.html"/>" 
    onsubmit="return validateUser(this)" name="userForm">
<spring:bind path="user.id">
<input type="hidden" name="id" value="${status.value}"/> 
</spring:bind>
<table class="detail">
<tr>
    <th><label for="firstName"><fmt:message key="user.firstName"/>:</label></th>
    <td>
        <spring:bind path="user.firstName">
        <input type="text" name="firstName" id="firstName" value="${status.value}"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><label for="firstName" class="required">* <fmt:message key="user.lastName"/>:</label></th>
    <td>
        <spring:bind path="user.lastName">
        <input type="text" name="lastName" id="lastName" value="${status.value}"/>
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <th><label for="birthday"><fmt:message key="user.birthday"/>:</label></th>
    <td>
        <spring:bind path="user.birthday">
        <input type="text" name="birthday" id="birthday" value="${status.value}" size="11"/>
        [<fmt:message key="date.format"/>]
        <span class="fieldError">${status.errorMessage}</span>
        </spring:bind>
    </td>
</tr>
<tr>
    <td></td>
    <td>
        <input type="submit" class="button" name="save" value="Save"/>
    <c:if test="${not empty param.id}">
      <authz:acl domainObject="${user}" hasPermission="1">
        <input type="submit" class="button" name="delete" value="Delete"/>
      </authz:acl>
    </c:if>
      	<input type="submit" class="button" name="cancel" value="Cancel" onclick="bCancel=true"/>
    </td>
</tr>
</table>
</form>

<script type="text/javascript">
    document.forms["userForm"].elements["firstName"].focus();
</script>

<html:javascript formName="user" staticJavascript="false" xhtml="true" cdata="false"/>
<script type="text/javascript" src="<c:url value="/scripts/validator.jsp"/>"></script>